2026-01-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option, in context menu of ledger, to show transfer in ledger of other account

2026-01-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix reports and charts with descriptions and payees only used in scheduled transactions

2026-01-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix sorting of subcategories (e.g. in categories comparison report)

2026-01-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improve handling of various category combinations displayed separately in over time report
	* Scroll to bottom when opening or updating ledger with ascending order enabled

2026-01-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow multiple categories with the same name, if in different parent categories

2026-01-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix value axis in categories comparison bar chart
	* Show negative values in pie charts (accounts comparison excluded)

2026-01-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add category division selection (subcategories, descriptions, payees/payers, or tags) to categories comparison chart

2026-01-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save tags not used by any transaction

2026-01-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to convert one or multiple expenses or incomes to transfers (opens a dialog to select an account)

2026-01-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not update properties with default values if description or payee/payer has not been modified (and amount is zero), when editing existing transaction
	* Fix new tag on Wayland

2025-11-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Automatically increase number of decimals for currencies with exchange rate > €10

2025-10-19  Victor Nikiforov <victor.nike@gmail.com>

	* Add more crypto currencies

2025-10-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Clear selection or filter in transactions list with Escape key

2025-10-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix numerical and monetary formats in some cases on Windows

2025-09-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix compilation with MSYS/MinGW

2025-09-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when updating exchange rates while currency conversion dialog is open

2025-09-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix transaction with changed associated security not moved to new
	  security in securities and security transactions lists

2025-06-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move margins from tab widget to tab contents

2025-05-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix security changes not saved when editing dividend
	* Fix tags shown in new dividend dialog when no security is selected
	* Fix tab title in new dividend dialog when no security is selected

2025-05-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add English translation file
	  (for improved handling of preferred languages, and plural forms)

2025-05-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add fallback URL for exchange rates from exchange-api

2025-05-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to show comment field in security transactions window

2025-04-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix first date in occurrences and recurrence range dialogs
	  (when the first occurrence is later than expected from current date)

2025-03-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Translate "amount" as "betrag" in German translation
	  (avoids conflict with translation of "quantity")

2025-03-12  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when editing part of split transaction when payee and
	  quantity are hidden

2025-02-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when selecting future date with all tags source in
          categories comparison report

2025-01-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to remove value from pie chart
	* Fix categories comparison chart when compiled without Qt Charts

2025-01-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make ledger columns movable
	* Preserve column order when exporting list to Html

2025-01-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option create a new account/category to account/category lists in
          import CSV dialog

2025-01-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to hide the symbol for the main currency in monetary
	  values

2025-01-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use decimals of current currencies in currency conversion fields

2024-11-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show balancing account, if used, in ledger account list

2024-10-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save values to file with up to 15 significant digits instead of a
	  fixed number of decimals

2024-10-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set maximum currency decimals, and default BTC decimals, to 8
	* Increase the number of decimal places in exchange rate field to 10
	  when currency decimals > 4 or exchange rate > €10

2024-10-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place cash, current, and credit card accounts first in account
	  selection list
	* Fix opening of file with relative path from command line

2024-09-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to group accounts by type, bank, or currency
	* Disable close account menu item for debts
	* Fix initial group in new account dialog

2024-09-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Restore dark mode setting on Windows with Qt 6
	* Allowing collapsing of Assets, Liabilities, Incomes, and Expenses in
	  accounts and categories view using double-click
	* Option to edit assets group name (using "Edit..." menu item)

2024-09-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ask if user want to save changes before opening file from command
	  line or file manager
	* Fix segfault and duplicating character when tag contains ampersand

2024-06-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set allowed range for ledger print time period date fields
	  (fixes ledger print error not shown when to date is before date of
	  first transaction)

2024-05-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add support for "portable" package
	* Fix CSV/QIF import in dark mode on Windows

2024-05-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix saving of quantity in dialog for transaction with multiple
	  payments
	* Exclude hidden (closed) accounts from accounts view export

2024-04-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to close (hide) security

2024-03-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault on new account in debt payment dialog
	* Fix value selection after prefill with default values for
	  description, with Qt6

2024-03-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix exchange rates url
	* Use setDirectWriteFallback(true) for save files

2023-12-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only update exchange rates from the ECB, unless currencies requiring
	  other data sources are used

2023-11-28  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Replace defunct exchange rates sources

2023-07-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to reset column widths
	* Reset column widths on font change
	* Fix display of Unicode characters in currency names
	* Use flag images with higher resolution

2023-07-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use exchangerate.host as secondary exchange rate source, with
	  mycurrency.net as backup
	* Use fusion style by default and use system setting for dark mode on
	  Windows with Qt >= 6.5

2023-06-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix set security share value for split transactions
	  (null date where used)

2023-06-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix custom font with gtk2 style

2023-05-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix monthly total for categories divided in subcategories in
	  categories comparison report

2022-12-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix months between dates calculation when first month of budget year
	  is not January

2022-11-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to set weekday of nth week as first day of budget month

2022-11-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make text in statistics below lists selectable
	* Add ignore duplicate transactions property to CSV import presets and
	  fix initial state

2022-09-11  Francisco Miguel Biete Banon <fbiete@gmail.com>

	* Fix Qt 6 build, and remove compilation warnings

2022-08-17  bgallois <benjamin@gallois.cc>

	* Update French translation

2022-07-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to ignore duplicates to import CSV dialog
	* Add option to list duplicate transactions in transaction list filter
	* Fix initial links actions states (disable)

2022-05-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix import CSV and import QIF dialogs (wizards) with dark mode on
	  Windows

2022-01-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix compilation errors with Qt 6

2021-12-23  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Dark mode option in settings menu
	* If category is empty in CSV file row, use "Uncategorized" as name
	* Fix empty/missing category (in CSV file) error message

2021-11-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add extra space between after right aligned values in lists
	* Add option to left align values in lists

2021-09-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix tab focus for dialog buttons

2021-09-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "Ignore duplicate transactions" for reinvested dividend when
	  importing eqz file

2021-09-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix saving of scheduled reinvested dividend
	* Disable join and edit actions when one of multiple selected
	  transactions is a reinvested dividend

2021-07-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix importing of data format YYYYMMDD and improve support for six
	  character date formats without separator
	* Use a multiple lines for comments field in dialogs
	* Clear edit fields after modification of transaction in list
	* Preserve position and current item after update of ledger

2021-03-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove total security rate value
	* Fix security rate for future dates

2021-03-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault with scheduled security transaction without recurrence

2021-01-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix handling parentheses when calculating expression in value entry
	* Fix initial state of "Bank" entry when initial account type is not
	  "Cash"

2020-12-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Danish translation (from Tag Valdemar)

2020-12-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Open ledger on account double click regardless of column

2020-08-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow separate comments for each transaction in an expense/income
	  with multiple accounts/payments
	* Add payee/payer column to dialog for transaction with multiple
	  accounts/payments
	* Add payee/payer field to refund/repayment dialog

2020-08-12  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fixes for reccuring transactions with multiple accounts/payments

2020-08-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use actual text width to determine if description fits in
	  "part of split" label

2020-08-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when syncing unsaved file
	* Fix window title with empty file

2020-07-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix importing if split transactions from eqz file

2020-07-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix recurrence on day of year
	* Stop after 100 years when searching for previous
	  or next monthly occurrence
	* Remove fifth last week of month option

2020-07-20  fabianski7 <47755037+fabianski7@users.noreply.github.com>

	* Portuguese (Brazil) translation

2020-07-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change "Quantity" to "Returned quantity" in refund dialog

2020-07-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for links between transactions

2020-07-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to join refund to original transaction
	  (as transaction with multiple payments)
	* Split up option for transactions with multiple payments
	* Merge associated files when joining transactions
	* Join transaction as transaction with multiply payments when
	  appropriate (ask when uncertain)

2020-07-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make the "part of split" label clickable

2020-07-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add a man page
	* Replace code deprecated in Qt 5.15

2020-04-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault in categories comparison report with payee and
	  quantity properties are hidden

2020-04-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix monthly recurrence with end date (or occurrence count),
	  when year of end date and start date differs
	* Expand parent category after creation of new sub category
	* Fix segfault when opening file after creating a new sub category

2020-03-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix order of transactions in ledger when split transaction has same
	  date as single transaction

2020-02-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not change account group when type is selected if custom group is
	  set

2019-09-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault when editing a scheduled transaction (primarily with
	  current date) present in the expenses, incomes and/or transfers view

2019-08-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make it possible to select multiple categories, tags, accounts,
	  descriptions, and payees/payers in categories and report

2019-08-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to display absolute values instead of percent in pie chart

2019-08-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Security quotes import and export, in quotes dialog
	* Ctrl + Home shortcut in date fields, and Home shortcut and context
	  menu item in calendar popup, for current date selection

2019-08-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix set single transaction in edit widget for transaction with
	  multiple accounts/payments and multiple currencies

2019-08-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Save import CSV settings as presets
	* Show name with parent name for categories in CSV import dialog

2019-08-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow fixed category (add income category selection) when importing
	  both expenses and incomes from CSV file

2019-06-16  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow translation of key Qt strings (OK, Cancel, etc.),
	  when Qt translation is not available for a language

2019-06-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show "from date is after to date" and similar messages
	  (pick an appropriate to date instead)
	* Icons for all menu items
	* Load Qt translations when selecting a specific language

2019-06-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Wrap around (with month/year change) support for days and months
	  in date fields
	* Change month or year on page up/down in day or month section of
	  date field
	* Fixes month conversion when first month of budget year is not 1

2019-06-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Focus transaction list when opening ledger with selected account

2019-06-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Tags

2019-06-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to show categories as columns in over time report

2019-06-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Duplicate transaction option
	* Show lists as focused when not focused (fixes color of selected
	  transaction) and allow moving in lists with keyboard in some cases
	  when not focused

2019-05-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show tooltips for cut off text in lists
	* Configurable visible columns for expenses, incomes and transfers views
	* Fix row colors for reconciled items ledger when not reconciling

2019-05-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Preserve order of imported transactions (with equal date)
	* Timestamp edit dialog

2019-05-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Custom account groups
	* Hide group if all accounts are in the same group
	* Fix account group change color

2019-05-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved account/category combo box searching

2019-05-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to show separate months or years in categories comparison report
	* Make ledger behave as a non-modal window instead of modal dialog
	* Search in ledger
	* Make it possible to select multiple associated files
	* Add option to sort ledger ascending

2019-05-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix assets and liabilities total in over time report
	* Fix segfault when editing reinvested dividend without income category

2019-05-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show icon when transaction has associated file
	* Update save state when associated file selected

2019-05-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Font selection

2019-04-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix updating of account values when a scheduled transaction has been 
	  edited in dialog and changed to a non-scheduled transaction

2019-04-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix segfault in over time chart with no accounts
	* Fix segfault in ledger with no accounts
	* Fix Ctrl+Q shortcut

2019-04-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not show guesstimate for future security values in accounts view
	  (but use estimate for values between quotes)
	* Fix calculation of quote between recorded security quotes
	* Button for clearing values in new/edit transaction

2019-04-23  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix updating of account values when a transaction has been edited
	  in dialog and posponed to future date
	* Fix segfault when transaction is split up

2019-04-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Group assets and liabilities with the same type in accounts view

2019-04-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use localeconv() for number format
	  (improves sign and currency symbol placement, and fixes locales
	  where number format differs between general and monetary numbers)

2019-04-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use dot as alternative decimal separator for locales
	  with decimal comma and without dot as group separator

2019-03-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Language selection from within the application

2019-02-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not use deprecated QtCharts axis functions

2019-02-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Schedule confirmation time setting

2019-01-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix filter min and max currency
	* Fix crash on CSV import of quoted value containing delimiter

2019-01-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update revision of schedule on confirmed occurrence

2019-01-14  svedie <svedie@gmail.com>

	* Improved German translation

2019-01-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Description of eqz file format

2019-01-16  Michael F. Schönitzer <michael@schoenitzer.de>

	* Some German translation improvements

2018-11-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make eqz-file parsing more flexible (do not require transaction type,
	  accept value property for expenses and incomes, allow to/from instead of
	  category propery, etc.)
	* Timestamp in seconds instead of microseconds

2018-11-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Better handling of unknown transaction or category type encountered
	  in file

2018-11-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Budget day fixes

2018-10-31  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to specify first budget month of year (financial year)

2018-10-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix saving of recurring expense with multiple payments
	* Remove recurrence tab from expense paid with loan dialog
	* "Payed" => "Paid"

2018-09-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Improved Enter/Return key actions and input focus

2018-09-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Option to sort transactions by timestamp (in header context menu)

2018-09-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Select whole number on double click in value field
	* Scroll to added/modified transaction

2018-08-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add comments field to split transaction dialog

2018-07-22  Nils VAN ZUIJLEN <nils.van-zuijlen@mailo.com>

	* Added translations for French

2018-06-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix value field conversion with dollar sign

2018-06-12  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix last date in yearly assets and liabilities bar chart hover info

2018-06-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix categories comparison report description selection list
	* Fix Qt Charts < 5.7.0 compability

2018-06-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use mycurrency.net html instead of the json data, which has not
	  been for a month

2018-06-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Never show more than nine slices in pie chart and combine very small
	  category posts
	* Set spacing between bars to half the bar width
	  (unless many bars in groups)
	* Reverse order of horizontal bar chart
	* Many minor chart fixes/improvements (especially without Qt Charts)

2018-06-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add new default chart theme
	* Use the same color for all bars in categories comparison bar chart,
	  show x-axis labels,
	  and remove vertical bar chart
	* Use budgeted values for more over time chart data
	* Allow user to set last month for yearly value in over time chart
	* Sort categories and accounts using total value and hide categories
	  with zero value in charts
	* Yearly "Assets and Liabilies" bars
	* Add "Edit Account" button to ledger
	* Show incomes and expenses in profit report

2018-06-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Alternative to show all accounts separately in the same over time chart
	* Disable "Close Account" for accounts with no associated transactions

2018-06-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Account filter in charts and reports
	* Assets & Liabilities in over time report

2018-05-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add flags to currency lists

2018-04-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow value field conversion using $, £, €, ¥, and local currency
	  symbol,  even if not default currency

2018-04-15  Fabian Wolff <fabi.wolff@arcor.de>

	* Remove deprecated Encoding key from the .desktop file
	* Bump DocBook version

2018-04-01  Fabian Wolff <fabi.wolff@arcor.de>

	* Fix spelling errors involving "recurrance" and "occurrance"

2018-02-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Case insensitive descriptions and payees in charts report

2018-02-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Cloud synchronization

2018-01-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Annual total for over time chart

2018-01-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Restore possibility to specify payee/payer for each separate
	  transaction in a split transaction 

2018-01-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix debt payment value edits behavior

2018-01-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Include subcategories in over time report
	* Option to merge changes when saving a file that has been modified
	  after saving/loading
	* Id, first revision and last revision transaction, account and
	  security properties, and revision and last id file properties

2017-12-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "All payees/payers" in categories comparison report

2017-12-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Only assume negative income/expense if the category is defined
	  in the QIF file

2017-12-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix editing of transfer part of split transaction
	* Fix split transaction account selection when joining transfers
	* Set split values from input fields when clicking "Edit..."
	  in a transactions view
	* Fix segfault on export of transaction with multiple accounts/payments

2017-12-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow account creation from loan payment dialog
	* Update logic for when confirm schedule dialog is shown or transaction
	  is automatically added when scheduled transaction is added/edited

2017-12-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow account creation from edit security dialog

2017-12-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow security creation from security transactions dialog

2017-12-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remember state of set quote checkbox
	* Fix segfault on edit multiple transactions from ledger
	* Show statistics for selection in ledger
	* Calculate average balance correctly

2017-12-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Set last used category/account for new transaction dialogs
	* Ledger popup menu
	* Add warning message to adjust balance dialog

2017-12-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reconciliation

2017-12-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Ledger list header popup menu to show/hide type, account/category, payee/payer and comments columns
	* Revised reinvested dividends

2017-10-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix sum in categories comparison report with subcategories
	* Fix categories comparison chart for incomes with subcategories

2017-10-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "All Incomes, without subcategories" in categories comparison chart

2017-10-23  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix crash when trying to create new debt payment without any debt (possible fix for issue #33)
	* Do not allow zero value for new loan

2017-10-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix account value when joining transactions with different accounts

2017-10-16  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add close account menu item and add extra warning text in delete account dialog (related to issue #32)

2017-10-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* List income/expense categories for shares bough/sold in addition to accounts
	* Manual completed

2017-10-10  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Check for new versions

2017-10-09  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Exchange rates from mycurrency.net (more than 100 additional currencies)

2017-10-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Eqonomize! file import alternatives for duplicates handling
	* Fix assets and liabilities line chart months
	* Set black text color for line chart hover box
	* Set currency in budget edit field to main currency
	* Use parent category of subcategory as default parent when creating new account from context menu

2017-10-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix crash when account with associated transactions is remove

2017-10-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Do not allow negative debt value in new loan dialog

2017-09-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix new currency does not appear in the currency converter after application reopened (part of issue #27)
	* Fix new currency dialog reopens when creating new currency from set main currency dialog

2017-07-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support for parentheses for calculation in input fields

2017-07-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Show statistics for selected transactions (if more than one is selected)

2017-07-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Batch editing of date and payee/payer of split transactions
	* CSV import dialog layout fixes
	* Fix import of expenses from CSV files with separate columns for cost and income

2017-07-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix reading of negative values and values beginning with decimal separator during CSV import
	* Fix the CSV import date/number format dialog
	* Fix import of expenses when importing all types of transactions from CSV file
	* Fix reading of year with less than four digits in CSV or QIF file

2017-06-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove blank space at beginning and end of payee/payer, comments, etc.

2017-06-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix payee lost when split transaction copied (affects scheduled split transactions)

2017-05-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix account list html export (and print preview)

2017-04-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Italicize scheduled transactions in expenses, incomes and transactions lists

2017-04-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Security transactions enhancements and fixes

2017-04-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Account drag and drop fixes

2017-03-23  Hanna Knutsson <hanna.knutsson@protonmail.com>	

	* Import/merge Eqonomize! files

2017-03-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add timestamp property for transactions to be able to consistently sort transactions in the order they were added

2017-03-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Artithmetic expression and currency conversion in input fields (spin boxes)
	* Currency converter
	* "Associated file" transaction property

2017-03-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Support multiple currencies

2017-01-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix text editing in filter, reset selection on filtering and focus description entry when changing edit/filter tab

2016-09-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix text colors and background of top level items in account tree 
	* Enhance visibility of icons with dark theme

2016-09-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix yearly recurrence

2016-09-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix and enhance exceptions dialog

2016-09-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix include subcategories in filtering and remove the button for transfers and when extra properties is disabled (for improved layout)
	* Remove quantity from incomes edit
	* Add tooltip to description and quantity
	* Fix not all transactions being listed in confirm schedule dialog

2016-08-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix charts withput extra properties
	* Fix charts without QtCharts

2016-08-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix value column in multi-account transaction dialog
	* Fix multiple duplicate completion items when removing, than adding transaction with unique description
	* Use extra properties by default

2016-08-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Place "All" last in export QIF dialog account combo (it is not a appropriate default option)
	* Common payee/payer for multi item transactions

2016-08-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Import/export sub categories from/to QIF files

2016-08-16  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Import sub categories, payees and quantity from CSV files

2016-08-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Autocomplete transaction also when selecting category or payee

2016-08-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Loans, multi account transactions, scheduled split transactions, debt payments, etc.
	* Bold summary/parent items with icons in account view

2016-07-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Export transactions to CSV file with a more compatible number format

2016-07-06  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Assets over time chart
	* Show expenses as negative values in stacked bar chart for incomes and expenses

2016-07-05  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Completely remove dependency on Qt Xml by using QXmlStreamWriter instead of QDom*
	* Colors for securities

2016-07-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Create new account/category from selection combo box
	* Fix crash when deleting all transactions with a particular description and then adding a new
	* Colored values in lists
	* Do not show negative values in pie chart and hide zero values in category comparison charts
	* Add missing label in edit expense category dialog
	* Set minimum width for empty lists

2016-07-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New Chart types

2016-07-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Custom budget month start

2016-07-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use QtCharts

2016-06-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Subcategories
	* New Icons

2016-06-28  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* File backups
	* Backup frequency option

2016-06-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix copying to backup '~' file (remove existing file first)

2016-06-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move cursor to day in dates

2016-06-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Move from QDom* in Qt Xml to QXmlStreamReader

2016-06-23  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* List layout enhancements and save/restore state of lists
	* Simplify and enhance EqonomizeValueEdit (restrictions of KDoubleSpinBox removed)

2016-06-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New icons
	* File save handling fixes

2016-06-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix csv import of categories
	* Decimals in quotations option and set default decimals in shares from previous securities
	* Make chart and report non-modal again
	* Initialize locale to fix number of decimal signs and currency placement

2016-06-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Print preview

2016-06-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Chart/report dialog layout enhancements
	* Max 10 descriptions in categories chart and 6 items in over time chart

2016-06-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New Icons

2016-06-16  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Remove all KDE dependencies and use qmake instead of CMake

2016-06-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make sure save filename ends with ".eqz"
	* Fix "scheduled operations don't go further than next year if range is other than 'no end'"
	* Search whole description and payer/payee when filtering and add exact match option

2014-07-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Restore remote file access

2014-07-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Port to Qt 5 and KDE Framework 5
	* Minor accumulated enhancements and fixes

2009-07-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix transaction not added on date edit enter (missing signal)
	* Fix csv export (change text/x-csv to text/csv)

2008-11-12  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* KDE4 version commited

2008-03-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix mysterious crash when two scheduled transactions have the same date and description

2007-08-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix saving of weekly recurrence

2007-07-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix positive net result of split transaction displayed in wrong column

2007-05-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix calculation of scheduled transactions after a scheduled transaction has been confirmed
	* Fix calculation of scheduled transaction after the date has changed to before the current date
	* Sort scheduled transactions list after date changes
	* Fix security transaction joining

2007-03-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Allow user to select initial period
	* Do not limit sold shares to current number of shares
	* Fixes for the new value input widget

2007-03-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Keep permissions of exisiting files

2007-03-28  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Make it possible to join security transactions and add ability to create new security transaction from edit split dialog
	* Do not require a selected security to be able to create a security transaction and make it possible to change security from edit transaction dialogs
	* Execute different actions when double clicking on security row depending on clicked column

2007-03-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Future statistics in over time chart

2006-11-28  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* New value input with support for zero decimals

2006-11-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Spanish and Italian translations
	* Update French translations
	* Some bug fixes

2006-10-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix "Edit..." button for split transaction in list
	* Show extra properties when editing transaction from split transaction edit dialog

2006-10-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Reset quantity to 1.0

2006-09-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix balancing

2006-09-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Manual updates
	* Minor polishing

2006-09-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Updated icons

2006-09-01  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* German translation (Martin F. Hohenberg <martin.hohenberg@gmail.com>, Elias Probst <elias.probst@gmx.de>)
	* Update cvs.sh for autoconf 2.6
	* Fix de.po

2006-08-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Miscellaneous fixes
	* Postpone option in confirm schedule dialog
	* Manual updates
	* Close confirm schedule dialog if no transactions are left

2006-08-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* QIF export fixes
	* Handle non-standard (local) QIF type names
	* Fix QIF import and export of splits
	* Update Swedish translation
	* Updated french translation (Jérôme Rapinat <gnupower@hotmail.fr>, Antoine Rodriguez <antoiner@gmail.com>)
	* Minor fixes and polishing

2006-08-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* QIF import of securities
	* Securities type "Other"
	* QIF export
	* Require unique and non-empty names for accounts of the same type
	* Fix crash when selecting initial balance item in ledger dialog
	* Fix and extend date update when current date changes

2006-08-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Enhanced splits
	* Join and split up actions
	* Enhanced account ledger
	* Possibility to specify price of share separately, so the total cost/income can include fees
	* Add quantity input to refund/repayment dialog
	* Add percents to legend texts and decrease margins in categories comparison chart
	* QIF import of splits

2006-08-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Splits

2006-08-18  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add comments entry to refund/repayment dialog

2006-08-17  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Refunds and repayments
	* Enhanced date and number format handling for csv import
	* Enhanced QIF import
	* Ask save on quit (use close() instead of kapp->quit())

2006-08-16  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update securities when account has been deleted
	* Auto-save with crash recovery
	* Fix crash when removing account with security transactions
	* Backup on save
	* Add do not ask again option to save? dialog on exit
	* Revert menu item

2006-08-15  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Continue QIF import work
	* Account ledger dialog
	* Fix balancing crash when to date is in the same month as but before current date
	* Switch securities and accounts period to date to current date if date changes and to date was current date
	* Fix move to account selection

2006-08-14  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Update change column when transaction added or changed
	* Fix changing date of transaction with future date

2006-08-13  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Work on QIF import begun
	* Updated french translation (Jérôme Rapinat <gnupower@hotmail.fr>)
	* French manual (Jérôme Rapinat <gnupower@hotmail.fr>)
	* Use pow(10, x) instead of exp10(x)
	* Fix crash with no from date in accounts view and empty (or no) accounts

2006-08-11  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* French translation (Jérôme Rapinat <gnupower@hotmail.fr>)
	* Alternative for credit and debit in different columns
	* Auto first row option for csv import
	* More flexible value and date reading in csv file
	* Miscellaneous...

2006-08-08  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Begin documentation
	* Add option to show Profits line in over time chart

2006-08-07  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* i18n fixes
	* Finish Swedish translation

2006-08-04  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Fix calculation of remaining budget when from date is after current date
	* Display as previous budget result the result for the month before selected month

2006-08-03  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use button menus for period selection, schedule buttons, and security transactions
	* Move next/previous year/month buttons up in accounts view
	* Payees/payers for over time chart

2006-08-02  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change focus order to put quantity after value
	* Call layout() for KButtonBox

2006-07-31  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use quantity instead of count
	* Replace "Daily" with "Average" statistic
	* Fix resizing issues
	* More flexible reports

2006-07-30  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* More flexible charts
	* Optional Payee/Payer and Quantity parameters for expenses/incomes

2006-07-29  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Budget edit tab in accounts view
	* Select period combo
	* By default set to date to current date
	* Lots more...

2006-07-27  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Normally do not show incomplete months (possibly first and current) in development over time report
	* Ability to set budget separately for each month
	* Budget account property for accounts
	* Show budgeted value (if greater than scheduled transactions) for future value and change of accounts

2006-07-26  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add option to compare accounts in categories comparison chart

2006-07-25  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Work around Hebrew, Hijri and Jalali addMonths() bug
	* Check length of month names
	* Fix calculation of total change for securities accounts
	* Fix checking of todays schedule

2006-07-24  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Change name to Eqonomize!
	* Make report and chart dialogs non-modal
	* Month selector instead of date edit for over time chart
	* Only confirm scheduled transactions occurring the current date if time is after 18.00
	* Some bug and tweaks fixes

2006-07-23  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Categories comparison chart
	* Over time chart
	* Don't use "words" in date picker popup as future dates is not very useful

2006-07-22  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use KCalenderSystem everywhere and avoid assumptions based on the gregorian calendar
	* Add some more valid recurrence checks
	* Security trade (buy and sell in the same transaction)

2006-07-21  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Use comma as delimiter and put values in quotes, when saving csv file
	* Import of CSV files

2006-07-20  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* "Development Over Time" and "Categories Comparison" reports

2006-07-19  Hanna Knutsson <hanna.knutsson@protonmail.com>

	* Add daily average to transactions statisitcs
	* Printing
